Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000727bareos-core[All Projects] Generalpublic2016-11-24 14:192018-05-29 11:07
Reporterotto 
Assigned To 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSDebianOS Version8
Product Version15.2.4 
Target VersionFixed in Version 
Summary0000727: wrong error message in disable schedule
DescriptionOn disable a not existing schedule the error calls it client.

*disable schedule=BS_twr_1Y_2sat06_daily06
Client "BS_twr_1Y_2sat06_daily06" not found.

*disable schedule=BS-twr_1Y_2sat06_daily06
Schedule "BS-twr_1Y_2sat06_daily06" disabled
Steps To ReproduceType in bconsole
*disable schedule=somethingnotexisting
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0002976)
aron_s (updater)
2018-04-27 13:28

Reproduced this problem and sent in a patch, ua_cmds.cc seems to contain a typo.
(0003018)
aron_s (updater)
2018-05-29 11:07

Fix committed to bareos master branch with changesetid 8671.

- Related Changesets
bareos: master ee2b0662
Timestamp: 2018-05-17 14:38:46
Author: aron_s
Ported: N/A
Details ] Diff ]
bugfix: Fix wrong error message

This fixes the error message when disabling a non-existent schedule
from "Client %s not found." to "Schedule %s not found.".

Fixes 0000727: wrong error message in disable schedule
mod - core/src/dird/ua_cmds.cc Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-24 14:19 otto New Issue
2018-04-27 13:28 aron_s Note Added: 0002976
2018-05-29 11:07 aron_s Changeset attached => bareos master ee2b0662
2018-05-29 11:07 aron_s Note Added: 0003018
2018-05-29 11:07 aron_s Status new => resolved
2018-05-29 11:07 aron_s Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker